Actualizar IP flotante
curl --request PATCH \
--url https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Public IP for the web load balancer",
"tags": {},
"health_check": {
"protocol": "http",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"path": "/healthz",
"matcher": "200-299"
}
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}"
payload = {
"description": "Public IP for the web load balancer",
"tags": {},
"health_check": {
"protocol": "http",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"path": "/healthz",
"matcher": "200-299"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Public IP for the web load balancer',
tags: {},
health_check: {
protocol: 'http',
port: 8080,
interval_sec: 30,
timeout_sec: 5,
healthy_threshold: 3,
unhealthy_threshold: 3,
path: '/healthz',
matcher: '200-299'
}
})
};
fetch('https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"floating_ip": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:floating-ip/<uuid>",
"family": "ipv6",
"attached_to": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0",
"members": [
{
"interface": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/eth0",
"instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:compute:sa-saopaulo-1:my-account:instance/web",
"name": "<string>"
}
},
"health": "unknown",
"reason": "unprobed",
"created_at": "2023-11-07T05:31:56Z",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"address": "212.66.52.71",
"visibility": "public",
"description": "Public IP for the web load balancer",
"health_check": {
"protocol": "http",
"port": 8080,
"interval_sec": 30,
"timeout_sec": 5,
"healthy_threshold": 3,
"unhealthy_threshold": 3,
"path": "/healthz",
"matcher": "200-299"
},
"subnet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vpc_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}IP flotantes
Actualizar IP flotante
Actualizar descripción / etiquetas. La dirección IP es inmutable.
PATCH
/
v1
/
floating-ips
/
{floating_ip_id}
Actualizar IP flotante
Requiere la acción de IAM
network:UpdateFloatingIP. Consulte permisos de redes para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
ID IP flotante
Cuerpo
application/json
Respuesta
IP flotante actualizada
Show child attributes
Show child attributes

